summaryrefslogtreecommitdiffstats
path: root/source/l
diff options
context:
space:
mode:
Diffstat (limited to 'source/l')
-rwxr-xr-xsource/l/fftw/fftw.SlackBuild6
-rwxr-xr-xsource/l/imagemagick/imagemagick.SlackBuild2
2 files changed, 4 insertions, 4 deletions
diff --git a/source/l/fftw/fftw.SlackBuild b/source/l/fftw/fftw.SlackBuild
index 9f360111e..77a155494 100755
--- a/source/l/fftw/fftw.SlackBuild
+++ b/source/l/fftw/fftw.SlackBuild
@@ -25,8 +25,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=fftw
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | cut -f 2- -d - | rev | cut -f 3- -d . | rev)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | cut -f 2- -d - | rev | cut -f 3- -d . | rev)}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j7 "}
# Automatically determine the architecture we're building on:
@@ -73,7 +73,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-st .
diff --git a/source/l/imagemagick/imagemagick.SlackBuild b/source/l/imagemagick/imagemagick.SlackBuild
index 4dd249c02..84277bac0 100755
--- a/source/l/imagemagick/imagemagick.SlackBuild
+++ b/source/l/imagemagick/imagemagick.SlackBuild
@@ -32,7 +32,7 @@ BUILD=${BUILD:-1}
# This is a bit messy, so we'll explain it well. :-)
# This is the version number used in the source tarball filename
-FILEVER=6.9.9-42
+FILEVER=$(echo ImageMagick-*.tar.?z | cut -f 2- -d - | rev | cut -f 3- -d . | rev)
# This is the base version number, which is needed to cd into the source tree.
# Normally this is the same as $FILEVER, but allow setting it here if needed.